Vaults - Delete
Deletes the specified Azure key vault.
DELETE https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.KeyVault/vaults/{vaultName}?api-version=2024-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string |
The name of the Resource Group to which the vault belongs. |
|
subscription
|
path | True |
string |
Subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
vault
|
path | True |
string |
The name of the vault to delete |
|
api-version
|
query | True |
string |
Client Api Version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK Response. |
|
| 204 No Content |
No Content. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Examples
Delete a vault
Sample request
DELETE https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/sample-resource-group/providers/Microsoft.KeyVault/vaults/sample-vault?api-version=2024-11-01
Sample response
Definitions
| Name | Description |
|---|---|
|
Cloud |
An error response from Key Vault resource provider |
|
Cloud |
An error response from Key Vault resource provider |
CloudError
An error response from Key Vault resource provider
| Name | Type | Description |
|---|---|---|
| error |
An error response from Key Vault resource provider |
CloudErrorBody
An error response from Key Vault resource provider
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code. This is a mnemonic that can be consumed programmatically. |
| message |
string |
User friendly error message. The message is typically localized and may vary with service version. |